pacho       14/06/01 15:16:00

  Modified:             glib-2.40.0.ebuild ChangeLog
  Log:
  Don't build tests if we are not going to run them (#512022 by kulti)
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
A188FBD4)

Revision  Changes    Path
1.2                  dev-libs/glib/glib-2.40.0.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/glib/glib-2.40.0.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/glib/glib-2.40.0.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/glib/glib-2.40.0.ebuild?r1=1.1&r2=1.2

Index: glib-2.40.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/glib/glib-2.40.0.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- glib-2.40.0.ebuild  27 Apr 2014 16:17:10 -0000      1.1
+++ glib-2.40.0.ebuild  1 Jun 2014 15:15:59 -0000       1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/glib-2.40.0.ebuild,v 1.1 
2014/04/27 16:17:10 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/glib-2.40.0.ebuild,v 1.2 
2014/06/01 15:15:59 pacho Exp $
 
 EAPI="5"
 PYTHON_COMPAT=( python2_{6,7} )
@@ -128,10 +128,13 @@
 
                # Test relies on /usr/bin/true, but we have /bin/true, upstream 
bug #698655
                sed -i -e "s:/usr/bin/true:/bin/true:" 
gio/tests/desktop-app-info.c || die
-       fi
 
-       # thread test fails, upstream bug #679306
-       epatch "${FILESDIR}/${PN}-2.34.0-testsuite-skip-thread4.patch"
+               # thread test fails, upstream bug #679306
+               epatch "${FILESDIR}/${PN}-2.34.0-testsuite-skip-thread4.patch"
+       else
+               # Don't build tests, also prevents extra deps, bug #512022
+               sed -i -e 's/ tests//' {.,gio,glib}/Makefile.am || die
+       fi
 
        # gdbus-codegen is a separate package
        epatch "${FILESDIR}/${PN}-2.40.0-external-gdbus-codegen.patch"



1.609                dev-libs/glib/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/glib/ChangeLog?rev=1.609&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/glib/ChangeLog?rev=1.609&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/glib/ChangeLog?r1=1.608&r2=1.609

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/glib/ChangeLog,v
retrieving revision 1.608
retrieving revision 1.609
diff -u -r1.608 -r1.609
--- ChangeLog   27 Apr 2014 16:17:10 -0000      1.608
+++ ChangeLog   1 Jun 2014 15:15:59 -0000       1.609
@@ -1,6 +1,9 @@
 # ChangeLog for dev-libs/glib
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/ChangeLog,v 1.608 2014/04/27 
16:17:10 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/ChangeLog,v 1.609 2014/06/01 
15:15:59 pacho Exp $
+
+  01 Jun 2014; Pacho Ramos <[email protected]> glib-2.40.0.ebuild:
+  Don't build tests if we are not going to run them (#512022 by kulti)
 
 *glib-2.40.0 (27 Apr 2014)
 




Reply via email to